Subject: RE: [Isis-wg] simpler draft-ietf-isis-auto-encap section 5.2 prop osal

From: "Jonnala, Nagi" <[email-masked]>
Date: Fri, 11 Apr 2003 06:06:50 -0400

Philip and all,

Currently an IS ignores the LAN-ID from non-DIS systems.
I'm not aware any implementations who really use the 
non-DIS' LAN-ID.

So IMO, that does not need to be stated again here.

However, capturing that information is essential so that
future generations know what to do and what not to do. 
I think a simple note is good enough rather than explanatory paragraph.

Thanks
Nagi.

-----Original Message-----
From: Philip Christian [mailto:[email-masked]]
Sent: Friday, April 11, 2003 3:12 PM
To: mike shand; [email-masked]; [email-masked]
Subject: [Isis-wg] simpler draft-ietf-isis-auto-encap section 5.2
proposal

Would you guys prefer this text over what is there
now?
Personally I think something should be there given the
slight deviance from 10589, even if it seems obvious
to some of us.  Philip

5.2. LAN ID 
    
   ISO/IEC 10589 [6] states than an IS shall take the
LAN ID from the 
   neighbour that it considers to be the DIS and use
it as the LAN ID
   in its own Hello PDUs.  If there are two or more
DISs on a LAN then
   an automatically encapsulating IS will be able to
use only one of
   these LAN IDs in its own Hellos.

   Clearly if an automatically encapsulating IS is
elected DIS by
   either OSI, IPv4 or IPv6 ISs then it MUST use its
own LAN ID in
   Hello PDUs as per ISO/IEC 10589.

   If an automatically encapsulating IS is elected DIS
by no subset of
   the LAN and if there are multiple DISs on the LAN
with which the
   automatically encapsulating IS has up adjacencies,
then an
   implementer will need to decide which LAN ID the
automatically
   encapsulating IS puts in its Hello PDUs.  Whichever
LAN ID is
   chosen, other ISs on the LAN SHOULD in any case
ignore it if they do
   not consider the automatically encapsulating IS to
be DIS.

__________________________________________________
Yahoo! Plus
For a better Internet experience
http://www.yahoo.co.uk/btoffer
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg